org.eclipse.wst.jsdt.js.npm

## Enum NpmCommands

- java.lang.Object
- - java.lang.Enum<NpmCommands>
  - - org.eclipse.wst.jsdt.js.npm.NpmCommands

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NpmCommands>

    public enum NpmCommands
    extends java.lang.Enum<NpmCommands>

npm CLI commands

See Also:
  npm documentation

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCESS`
`ADDUSER`
`BIN`
`BUGS`
`BUILD`
`BUNDLE`
`CACHE`
`COMPLETION`
`CONFIG`
`DEDUPE`
`DEPRECATE`
`DIST_TAG`
`DOCS`
`EDIT`
`EXPLORE`
`HELP`
`HELP_SEARCH`
`INIT`
`INSTALL`
`LINK`
`LOGOUT`
`LS`
`NPM`
`OUTDATED`
`OWNER`
`PACK`
`PING`
`PREFIX`
`PRUNE`
`PUBLISH`
`REBUILD`
`REPO`
`RESTART`
`ROOT`
`RUN_SCRIPT`
`SEARCH`
`SHRINKWRAP`
`STAR`
`STARS`
`START`
`STOP`
`TAG`
`TEAM`
`TEST`
`UNINSTALL`
`UNPUBLISH`
`UPDATE`
`VERSION`
`VIEW`
`WHOAMI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()`
`static NpmCommands` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NpmCommands[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACCESS

    public static final NpmCommands ACCESS

#### ADDUSER

    public static final NpmCommands ADDUSER

#### BIN

    public static final NpmCommands BIN

#### BUGS

    public static final NpmCommands BUGS

#### BUILD

    public static final NpmCommands BUILD

#### BUNDLE

    public static final NpmCommands BUNDLE

#### CACHE

    public static final NpmCommands CACHE

#### COMPLETION

    public static final NpmCommands COMPLETION

#### CONFIG

    public static final NpmCommands CONFIG

#### DEDUPE

    public static final NpmCommands DEDUPE

#### DEPRECATE

    public static final NpmCommands DEPRECATE

#### DIST_TAG

    public static final NpmCommands DIST_TAG

#### DOCS

    public static final NpmCommands DOCS

#### EDIT

    public static final NpmCommands EDIT

#### EXPLORE

    public static final NpmCommands EXPLORE

#### HELP

    public static final NpmCommands HELP

#### HELP_SEARCH

    public static final NpmCommands HELP_SEARCH

#### INIT

    public static final NpmCommands INIT

#### INSTALL

    public static final NpmCommands INSTALL

#### LINK

    public static final NpmCommands LINK

#### LOGOUT

    public static final NpmCommands LOGOUT

#### LS

    public static final NpmCommands LS

#### NPM

    public static final NpmCommands NPM

#### OUTDATED

    public static final NpmCommands OUTDATED

#### OWNER

    public static final NpmCommands OWNER

#### PACK

    public static final NpmCommands PACK

#### PING

    public static final NpmCommands PING

#### PREFIX

    public static final NpmCommands PREFIX

#### PRUNE

    public static final NpmCommands PRUNE

#### PUBLISH

    public static final NpmCommands PUBLISH

#### REBUILD

    public static final NpmCommands REBUILD

#### REPO

    public static final NpmCommands REPO

#### RESTART

    public static final NpmCommands RESTART

#### ROOT

    public static final NpmCommands ROOT

#### RUN_SCRIPT

    public static final NpmCommands RUN_SCRIPT

#### SEARCH

    public static final NpmCommands SEARCH

#### SHRINKWRAP

    public static final NpmCommands SHRINKWRAP

#### STAR

    public static final NpmCommands STAR

#### STARS

    public static final NpmCommands STARS

#### START

    public static final NpmCommands START

#### STOP

    public static final NpmCommands STOP

#### TAG

    public static final NpmCommands TAG

#### TEAM

    public static final NpmCommands TEAM

#### TEST

    public static final NpmCommands TEST

#### UNINSTALL

    public static final NpmCommands UNINSTALL

#### UNPUBLISH

    public static final NpmCommands UNPUBLISH

#### UPDATE

    public static final NpmCommands UPDATE

#### VERSION

    public static final NpmCommands VERSION

#### VIEW

    public static final NpmCommands VIEW

#### WHOAMI

    public static final NpmCommands WHOAMI

### Method Detail

#### values

    public static NpmCommands[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NpmCommands c : NpmCommands.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NpmCommands valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()